[Unicode]   Common Locale Data Repository : Bug Tracking Home | Site Map | Search
 
Modify

CLDR Ticket #8994(accepted unknown)

Opened 18 months ago

Last modified 4 days ago

Currency tables

Reported by: ts@… Owned by: emmons
Component: currency Data Locale:
Phase: dsub Review:
Weeks: Data Xpath:
Xref:

Description

This is in reference not to Unicode, but to this table, which indicates to submit a bug ticket here for correction proposals:

http://www.unicode.org/cldr/charts/latest/supplemental/detailed_territory_currency_information.html

As a specific note, the Azerbaijanian manat should have an effective date of 1994-01-01 00:00 and not 1993-11-22 00:00. The source for this is ISO 4217 Amendment 160:

http://www.currency-iso.org/en/shared/amendments/iso-4217-amendment.html

More in general, I think it is inaccurate to use "00:00" to indicate both "00:00" and "24:00". This leaves 24-hour holes in the continuity of many currency transitions in your table, and it cannot be expressed whether such gaps are intentional (by official documents) or not.

For example, per your tables the Bolivian peso (BOP) ceased to be legal tender 1986-12-31 00:00, and its successor, the Bolivian boliviano (BOB) became active 24 hours later, on 1987-01-01 00:00. So there was no currency for 24 hours? You need a better way to express continuity. Using "24:00" for the end of the day and "00:00" for the beginning of the day, or dropping the time altogether, could both be better mechanisms than the current "00:00". The issue is made self-evident by inconsistencies in the use of current notation. For example, to express the transition from Chilean escudo (CLE) to Chilean peso (CLP) your table uses 1975-09-29 00:00 twice (no gap).

Finally, many of the names are obsolete or otherwise incorrect (at least relative to ISO 4217). You may want to cross-check with a current ISO 4217 list.

Attachments

Change History

comment:1 Changed 18 months ago by srl

(notes from CLDR-TC)
DateRanges is documented in http://www.unicode.org/reports/tr35/#Date_Ranges

  • fix the chart to not be misleading and to link to the #Date_Ranges section.
  • write a test to look for gaps
  • update data for Manat

Note that the codes include more than ISO4217.

comment:2 Changed 18 months ago by srl

  • Owner changed from anybody to emmons
  • Status changed from new to accepted
  • Milestone changed from UNSCH to upcoming

comment:3 Changed 4 days ago by emmons

  • Milestone changed from upcoming to UNSCH
View

Add a comment

Modify Ticket

Action
as accepted
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.